"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMobileFirstMediaQueries = void 0;
function createMobileFirstMediaQueries(map) {
    const result = {};
    const sortedInput = sortInput(map);
    const values = Object.values(sortedInput);
    const entries = Object.entries(sortedInput);
    let cnt = 0;
    for (const [key, breakpoint] of entries) {
        const nextBreakpoint = values[cnt + 1];
        if (nextBreakpoint) {
            result[`--${key}-only`] = `${breakpoint}px <= width < ${nextBreakpoint}px`;
            result[`--${key}`] = `${breakpoint}px <= width`;
        }
        else {
            result[`--${key}`] = `${breakpoint}px <= width`;
        }
        cnt++;
    }
    return result;
}
exports.createMobileFirstMediaQueries = createMobileFirstMediaQueries;
function sortInput(map) {
    return Object.fromEntries(Object.entries(map).sort(([, a], [, b]) => a - b));
}
//# sourceMappingURL=createMobileFirstMediaQueries.js.map