"use strict";
const postcss_1 = require("postcss");
const createMobileFirstMediaQueries_1 = require("./createMobileFirstMediaQueries");
const plugin = (opts = {}) => {
    const { strings, numbers } = extractNumbers(opts);
    const config = Object.assign(strings, (0, createMobileFirstMediaQueries_1.createMobileFirstMediaQueries)(numbers), {});
    return {
        postcssPlugin: "postcss-custom-media-generator",
        Once(root) {
            for (let [key, value] of Object.entries(config).reverse()) {
                if (!key.startsWith("--"))
                    key = `--${key}`;
                if (!(value.startsWith("(") && value.endsWith(")")))
                    value = `(${value})`;
                const rule = new postcss_1.AtRule({ name: "custom-media", params: `${key} ${value}` });
                root.prepend(rule);
            }
        },
    };
};
function extractNumbers(obj) {
    let numbers = {};
    let strings = {};
    for (let [key, value] of Object.entries(obj)) {
        if (typeof value === "number") {
            numbers[key] = value;
        }
        else {
            strings[key] = value;
        }
    }
    return { numbers, strings };
}
plugin.postcss = true;
module.exports = plugin;
//# sourceMappingURL=index.js.map